Bug 1300578 - Review Request: vim-ack - Run ack search tool from Vim
Review Request: vim-ack - Run ack search tool from Vim
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2016-01-21 03:20 EST by Yanis Guenane
Modified: 2016-08-23 03:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanis Guenane 2016-01-21 03:20:24 EST
Spec URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack.spec
SRPM URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack-1.0.8-1.fc23.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12631325

Description:
Run your favorite search tool from Vim, with an enhanced results list.

This plugin was designed as a Vim frontend for the Perl module App::Ack.
Ack can be used as a replacement for 99% of the uses of grep.
The plugin allows you to run ack from Vim, and shows the results in a split window.

Fedora Account System Username: spredzy

Notes:

  * Not yet in the packager group but I am sponsored (ie. https://bugzilla.redhat.com/show_bug.cgi?id=1298517)
Comment 1 Upstream Release Monitoring 2016-01-29 03:28:17 EST
spredzy's scratch build of vim-ack-1.0.9-1.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12721292
Comment 2 Yanis Guenane 2016-01-29 03:31:31 EST
Initially this package was built packaging the 1.0.8 version of this software.
This version was lacking a LICENSE file and the license was added in the spec file. A bug had been opened upstream[1] to add this file, which the owner of the project did and released a 1.0.9 version with the LICENSE included.

Those are the links for the 1.0.9 (latest):

Spec URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack.spec
SRPM URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack-1.0.9-1.fc23.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12721292


Those are the links for the 1.0.8 to compare:

Spec URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack_1.0.8.spec
SRPM URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack-1.0.8-1.fc23.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12631325


[1] https://github.com/mileszs/ack.vim/issues/172
Comment 3 hguemar 2016-02-24 05:40:29 EST
One major issue, your package owns directories owned by vim-filesystem, just name files/directories inside these directories instead:
%{vimfiles_root}/plugin/                  
%{vimfiles_root}/autoload/                                                  %{vimfiles_root}/ftplugin/

According guidelines, your specfile should be named vim-ack.spec. It's minor issue, but it breaks automated reviewing tools.
Comment 4 Upstream Release Monitoring 2016-02-24 08:20:32 EST
spredzy's scratch build of vim-ack-1.0.9-1.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13114318
Comment 5 Yanis Guenane 2016-02-24 08:29:26 EST
@Haïkel

Thank you for pointing #1. It has been fixed and a new spec file has been uploaded at the same place.

For #2, I am reposting the link here in order to be caugh by fedora-review

Spec URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack.spec
SRPM URL: https://pub.yanisguenane.fr/fedora/packaging/vim-ack/vim-ack-1.0.9-1.fc23.src.rpm

Note You need to log in before you can comment on or make changes to this bug.